library ieee;
use ieee.numeric_std.all;
use ieee.std_logic_1164.all;

package quarkpkg is

--  constant CLK_PERIOD : time := 1.4 ns;
  constant CLK_PERIOD : time := 10 us;
  
  constant RATE   : integer := 2;
  constant WWIDTH : integer := 22;
  constant DIGEST : integer := 20;
  constant LWIDTH : integer := 10;
  constant PDEG   : integer := 8;
  constant ROUND  : integer := 4*WWIDTH*8/PDEG;

  constant INITSTATE : std_logic_vector(0 to WWIDTH*8-1) := x"CC6C4AB7" &
                                                            x"D11FA9BD" &
                                                            x"F6EEDE03" &
                                                            x"D87B68F9" &
                                                            x"1BAA706C" &
                                                            x"20E9";

  

end quarkpkg;
